log4cpp: log4cpp::Priority Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::Priority Class Reference

The Priority class provides importance levels with which one can categorize log messages. More...

`#include <Priority.hh>`

List of all members.

## Public Types
enum | PriorityLevel { EMERG = 0, FATAL = 0, ALERT = 100, CRIT = 200, ERROR = 300, WARN = 400, NOTICE = 500, INFO = 600, DEBUG = 700, NOTSET = 800 }
| Predefined Levels of Priorities. More...
typedef int | Value
| The type of Priority Values.
## Static Public Member Functions
static const std::string & | getPriorityName (int priority) throw ()
| Returns the name of the given priority value.
static Value | getPriorityValue (const std::string &priorityName) throw (std::invalid_argument)
| Returns the value of the given priority name.
## Static Public Attributes
static const int | MESSAGE_SIZE = 8

## Detailed Description

The Priority class provides importance levels with which one can categorize log messages.

## Member Typedef Documentation

typedef int log4cpp::Priority::Value

The type of Priority Values.

## Member Enumeration Documentation

enum log4cpp::Priority::PriorityLevel

Predefined Levels of Priorities.

These correspond to the priority levels used by syslog(3).

Enumerator:

  EMERG |
  FATAL |
  ALERT |
  CRIT |
  ERROR |
  WARN |
  NOTICE |
  INFO |
  DEBUG |
  NOTSET |

## Member Function Documentation

const std::string & log4cpp::Priority::getPriorityName | ( | int | priority | ) | throw ()`[static]`

Returns the name of the given priority value.

Currently, if the value is not one of the PriorityLevel values, the method returns the name of the largest priority smaller the given value.

Parameters:

  | priority | the numeric value of the priority.

Returns:
  a string representing the name of the priority.

Priority::Value log4cpp::Priority::getPriorityValue | ( | const std::string & | priorityName | ) | throw (std::invalid_argument)`[static]`

Returns the value of the given priority name.

This can be either one of EMERG ... NOTSET or a decimal string representation of the value, e.g. '700' for DEBUG.

Parameters:

  | priorityName | the string containing the the of the priority

Returns:
  the value corresponding with the priority name

Exceptions:

  | std::invalid_argument | if the priorityName does not correspond with a known Priority name or a number

## Member Data Documentation

const int log4cpp::Priority::MESSAGE_SIZE = 8`[static]`

The documentation for this class was generated from the following files:

- Priority.hh
- Priority.cpp